Subject: bug#23184: 25.0.92; User-friendly way to override doc-view-mode as MIME viewer

From: Teemu Likonen <[email-masked]>
Date: Mon, 11 Apr 2016 19:12:38 +0300

Michael Heerdegen [2016-04-11 18:05:41+02] wrote:

> I think what Teemu means is that this solution doesn't allow to say:
> "for pdf, don't use docview, use the viewer as defined in the user's
> mailcap file".  One has to speak out the viewer's name, so there are two
> places to change when the user changes his mind about which is his
> preferred viewer (mailcap file and emacs customization).

Yes, I meant that. I have ~/.mailcap file. With that new Emacs change I
need to duplicate ~/.mailcap in Emacs. It's not a big issue but it kind
of makes Emacs a bad citizen in the system. Many programs respect
~/.mailcap but Emacs quite doesn't.